function readDelays(CORregisterSettings)
    % Function to extract delay polynomials from CORregisterSettings.txt generated by CBF matlab model

    registerSettings = loadjson(CORregisterSettings);

    % delays seem to be the first columns of corr_ct1.config.table_0 and corr_ct1.config.table_1 tables
    table0_name = registerSettings.COR(6).name;
    disp(["Reading delays from table " table0_name])
    if ~strcmp(table0_name, "corr_ct1.config.table_0")
        error(["Error, incorrect index got table " table0_name " expected corr_ct1.config.table_0"])
    end
    table_0 = registerSettings.COR(6).value;
    delays_0 = table_0(:,1);

    table1_name = registerSettings.COR(7).name;
    disp(["Reading delays from table " table1_name])
    if ~strcmp(table1_name, "corr_ct1.config.table_1")
        error(["Error, incorrect index got table " table1_name " expected corr_ct1.config.table_1"])
    end
    table_1 = registerSettings.COR(7).value;
    delays_1 = table_1(:,1);

    json_struct = struct("table_0", delays_0', "table_1", delays_1');
    json=savejson('', json_struct, "cor_ctl_delays.txt");
end
